.nostrike { display: inline-block; text-decoration-line: none !important; }
.d-flex [hidden] { display: none !important; }
#statutTabs .nav-link.active {
  font-weight: bold;
  background-color: #888;
  color: white;
}
#statutTabs .nav-link.active .badge {
  background-color: #eee !important;
  color: #555;
}

.transport_container {
  border: 2px dashed gray;
  border-radius: 8px;
  padding: 0.5rem;
  margin: 1em 0;
}
.horaire {
  border-right: 1px dashed gray;
  min-height: 1.2rem;
  font-family: monospace;
  font-size: 90%;
}
.horaire * {
  white-space: nowrap;
}
.transp_hour { /* simulate form-control */
  display: block;
  padding: .375rem .75rem;
  font-size: 1rem;
  border: 1px dashed #aaa;
  line-height: 1.5;
  color: #212529;
  background-color: #efefef;
  border-radius: .375rem;
  width: 5rem;
}
.saisie #id_date, .saisie #id_duree_rdv { display: inline-block; }
.saisie #id_duree_rdv { max-width: 7em; }
.horaire_label { font-size: 85%; width: 100%; }
#remarques_client:not(:empty) {
  background-color: antiquewhite;
  padding: 0.3rem;
  border-radius: 8px;
}
.transp_group_date { padding: 0.1rem 0.5rem; margin-top: 4px; background-color: #dde6ff; font-weight: bold;}
.transport_list th { background-color: #efefef; }
.transport_list .transp_table_header th { font-size: 85%; padding-top: 2px; padding-bottom: 2px; }
.transport_list .adresse { font-size: 85%; }
.transport_list .tline_hour { width: 3.5rem; }
.transport_list .tline_client { width: 26%; }
.dernier_date_heure {
  font-weight: bold;
  font-style: italic;
  background-color: #eee;
  padding: 3px;
}
tr.unsaved td { font-style: italic; opacity: 0.6; }
tr.Annulé td, div.Annulé { text-decoration-line: line-through; text-decoration-color: red; font-style: italic; }
tr.Facturé td { background-color: #efefef; }
.chauffeur_choice { border-top: 1px solid gray; border-left: 1px solid gray; }
.chauffeur_choice label { width: 100%; padding: 0.5em; cursor: pointer; }
.chauffeur_choice hover { background-color: #eee; }
.chauffeur_choice input[type="radio"]:checked+label {
  font-weight: bold;
  background-color: #0b5ed7;
  color: white;
}
img.chauffeur_remove { vertical-align: initial; }
.validate_transport { cursor: pointer; }

.nonconforme { color: red; }

.help_icon { padding: 0; }

/* Allow calculate icon to be displayed after */
#id_heure_depart { display: inline; }
label[for="id_heure_depart"] { width: 100%; }

#client_adr_container { padding-left: 1em; font-style: italic; font-size: 90%; }

div.rapport:not(:empty) {
  padding: 4px;
  border: 1px solid #aaa;
  border-radius: 8px;
  background-color: #eee;
}

#id_km { width: 8rem; }

#id_trajets > div { margin-bottom: 6px; }
#id_trajets > div:nth-of-type(odd) {
    background-color: #e9e9f9;
}

.dispo-dispo { color: green; font-weight: bold; }
.dispo-absence { color: red; font-weight: bold; }
.list-group-item-action .nb_transports { color: #792c99; }
.list-group-item-action div.has_dispo { font-weight: bold; }
.list-group-item-action div.no_dispo { color: gray; }

.timeline { height: 12px; position: relative; }
.timeline-transp { height: 12px; position: absolute; background-color: #a52a2a; z-index: 1}
.timeline-transp.statut2 { background: repeating-linear-gradient(
  45deg,
  #a52a2a,
  #a52a2a 5px,
  #ffc0cb 5px,
  #ffc0cb 10px
); }
.timeline-dispo { height: 12px; position: absolute; }

.substats { background-color: #eee; font-style: italic; }
.substats td:first-child { text-align: right; }

/* Elements de l'alarme à masquer pour les transports */
#add-samas-button, .courrier_non_envoye {
  display: none;
}
